/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 202111231400
'Job.................:  
'Nome................: EST_ORC_23807
'Objetivo............: Inserção/Atualização de novo campo na tabela;
'Tabelas.............: EST_ORC
'Dt Criação..........: 23/11/2021
'Dt Ult Alteracão....: --
'Alterado por........: --
'Criado por..........: Estevan Aquiles Pazzetti
'=======================================================================================
*/


-- COLUMN END_CLI
IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EST_ORC' AND COLUMN_NAME = 'END_CLI')
BEGIN
	-- ALTER TABLE ADD FIELDS
	ALTER TABLE EST_ORC ALTER COLUMN END_CLI VARCHAR(150);
END;

IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EST_ORC' AND COLUMN_NAME = 'END_CLI')
BEGIN
	-- ALTER TABLE ADD FIELDS
	ALTER TABLE EST_ORC ADD END_CLI VARCHAR(150);
END;


--COLUMN ENDR_ENTG
IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EST_ORC' AND COLUMN_NAME = 'ENDER_ENTG')
BEGIN
	ALTER TABLE EST_ORC ALTER COLUMN ENDER_ENTG VARCHAR(150);
END;

IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EST_ORC' AND COLUMN_NAME = 'ENDER_ENTG')
BEGIN
	ALTER TABLE EST_ORC ADD ENDER_ENTG VARCHAR(150);
END;
